%define upstream_name    HTML-TreeBuilder-XPath
%define upstream_version 0.12

%define _provides_exceptions perl(HTML::Element)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Add XPath support to HTML::TreeBuilder
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.xz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTML::TreeBuilder)
BuildRequires: perl(List::Util)
BuildRequires: perl(XML::XPathEngine) >= 0.120.0
BuildArch:  noarch

%description
This module adds typical XPath methods to HTML::TreeBuilder, to make it
easy to query a document.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{make}

%check
%{make} test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Mon Apr 11 2011 jquelin <jquelin> 0.120.0-3.mga1
+ Revision: 83407
- remove bogus provides:

* Sat Jan 22 2011 jquelin <jquelin> 0.120.0-2.mga1
+ Revision: 32075
- mageia rebuild
- imported package perl-HTML-TreeBuilder-XPath


* Sat Dec 04 2010 Shlomi Fish <shlomif@mandriva.org> 0.120.0-2mdv2011.0
+ Revision: 609572
- Specified the Requires explicitly

* Fri Dec 03 2010 Shlomi Fish <shlomif@mandriva.org> 0.120.0-1mdv2011.0
+ Revision: 607286
- import perl-HTML-TreeBuilder-XPath

